<?php

namespace Tests\App\Models;

use Tests\Support\ModelCrudTestCase;
use App\Models\PaymentTransactionModel;

class PaymentTransactionModelTest extends ModelCrudTestCase
{

    public function testCanInsertAndRetrieve()
    {
        $this->assertModelCanInsertAndRetrieve(PaymentTransactionModel::class);
    }

    public function testCanUpdate()
    {
        $this->assertModelCanUpdate(PaymentTransactionModel::class);
    }

    public function testCanDelete()
    {
        $this->assertModelCanDelete(PaymentTransactionModel::class);
    }
}
